/////		ALL		/////

/* Tooltip */

$('.block--category .block-header').each(function () {

	var hc = $(this).children('a').width();
	var position = $(this).children('a').position();
	var pLeft = position.left;
	var pRight = $(this).outerWidth() - (pLeft + hc);

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.block-tooltip').css({'right': pRight + hc + 10});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.block-tooltip').css({'left': pLeft + hc + 10});
	}

	$(".block-header > a").hover(function() {
		$(this).siblings('.block-tooltip').fadeIn('250');
	}, function() {
		$(this).siblings('.block-tooltip').fadeOut('250');
	});
});

/* Tooltip -- End */

/*Sub-node*/

$('.node-subNodeMenu').each(function() {
	$(this).appendTo($(this).siblings('.node-statsMeta'));
});

/*Sub-node -- End */

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2023 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2023 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2023 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

/* Bonus */

$('.p-body-sidebar .block-row + .block-row').before('<hr class="block-separator" />');

$('.button').closest('dl.formRow:not(.formSubmitRow, .formSubmitRow--sticky)').children('dd').addClass('formButtonGroup');

$('.message-attribution').each(function(){
	$(this).insertAfter($(this).siblings('.message-content'));
});
$('.message-attribution-main').each(function(){
	$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
});
$('.message-attribution-opposite').each(function(){
	$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
});

$('.block-outer--after').each(function() {
	if ( ($(this).children().length == 1) && ($(this).children('.block-outer-opposite').children().length == 1) && ($(this).children('.block-outer-opposite').children('.showIgnoredLink').hasClass('is-hidden')) )
	{
		$(this).hide();
	}
});

$('.showIgnoredLink').click(function() {
	if ( ($(this).closest('.block-outer--after').children().length == 1) )
	{
		$(this).closest('.block-outer--after').hide();
	}
});

/////		Nitrogen		/////

var navOffset = $('.p-nav').offset();
$('.p-navEl.is-selected .p-navEl-splitTrigger').removeAttr('data-xf-click');

$(window).scroll(function(){
	if ( $(this).scrollTop() >= navOffset.top ) {
		$('.p-navEl.is-selected .p-navEl-splitTrigger').attr('data-xf-click', 'menu');
	} else {
		$('.p-navEl.is-selected .p-navEl-splitTrigger').removeAttr('data-xf-click');
	}
});